{% extends 'websec/base.html.twig' %}

{% block main %}

    <div class="box">
        <h2>Votre message</h2>
        {% include '_includes/forms/detail.html.twig' %}
    </div>

    {% if mailSecInfo.has_flux_reponse %}
        {% if mailSecInfo.has_reponse %}
            <div class="box">
                <h2>Votre réponse</h2>
                {{ gabarit.setViewParameter('donneesFormulaire', mailSecInfo.donneesFormulaireReponse) }}
                {{ gabarit.setViewParameter('fieldDataList', mailSecInfo.fieldDataListReponse) }}
                {{ gabarit.setViewParameter('recuperation_fichier_url', reponse_recuperation_fichier_url) }}
                {{ gabarit.setViewParameter('download_all_link', download_all_link ~ '?fichier_reponse=true') }}
                {{ gabarit.setViewParameter('inject', inject) }}
                {{ gabarit.render('DonneesFormulaireDetail') }}
            </div>
        {% else %}

            <a href="{{ reponse_url }}" class="btn btn-primary">
                Répondre
            </a>
        {% endif %}
    {% endif %}
{% endblock %}
